fosphor.h File Reference
Fosphor

Main fosphor entry point. More...

Go to the source code of this file.

## Classes

struct | fosphor_channel
struct | fosphor_render
| fosphor render options More...

## Macros

#define | FOSPHOR_MAX_CHANNELS 8
#define | FRO_LIVE (1<<0)
| Display live spectrum. More...
#define | FRO_MAX_HOLD (1<<1)
| Display max-hold spectrum. More...
#define | FRO_HISTO (1<<2)
| Display histogram. More...
#define | FRO_WATERFALL (1<<3)
| Display waterfall. More...
#define | FRO_LABEL_FREQ (1<<4)
| Display frequency labels. More...
#define | FRO_LABEL_PWR (1<<5)
| Display power labels. More...
#define | FRO_LABEL_TIME (1<<6)
| Display time labels. More...
#define | FRO_CHANNELS (1<<7)
| Display channels. More...
#define | FRO_COLOR_SCALE (1<<8)
| Display intensity color scale. More...

## Functions

struct fosphor * | fosphor_init (void)
void | fosphor_release (struct fosphor *self)
int | fosphor_process (struct fosphor *self, void *samples, int len)
void | fosphor_draw (struct fosphor *self, struct fosphor_render *render)
void | fosphor_set_fft_window_default (struct fosphor *self)
void | fosphor_set_fft_window (struct fosphor *self, float *win)
void | fosphor_set_power_range (struct fosphor *self, int db_ref, int db_per_div)
void | fosphor_set_frequency_range (struct fosphor *self, double center, double span)
void | fosphor_render_defaults (struct fosphor_render *render)
void | fosphor_render_refresh (struct fosphor_render *render)

## Detailed Description

Main fosphor entry point.